This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 631845 - Crash in drawPixmap in Qt 4.7rc1
Crash in drawPixmap in Qt 4.7rc1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: qt47
  Show dependency treegraph
 
Reported: 2010-09-08 10:20 EDT by Radek Novacek
Modified: 2010-09-23 08:59 EDT (History)
9 users (show)

See Also:
Fixed In Version: qt-4.7.0-0.31.rc1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 08:59:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 230490 None None None Never

  None (edit)
Description Radek Novacek 2010-09-08 10:20:46 EDT
Description of problem:
Qt crashes during drawing pixmaps, I'm not sure why. Backtrace is in the KDE bugzilla.

Version-Release number of selected component (if applicable):
1:4.7.0-0.27.rc1.fc13 from kde-unstable

How reproducible:
I have defined shortcut for packing windows (moving them on the screen), when I hit some of this shortcut for non maximized window it will crash.

Additional info:
This bug was fixed upstream, but not in rc1, see: http://bugreports.qt.nokia.com/browse/QTBUG-12826

KDE bug contains patch for this issue: https://bugs.kde.org/show_bug.cgi?id=230490#c32
Comment 1 Fedora Update System 2010-09-08 11:46:57 EDT
qt-4.7.0-0.30.rc1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/qt-4.7.0-0.30.rc1.fc14
Comment 2 Fedora Update System 2010-09-08 14:02:33 EDT
qt-4.7.0-0.30.rc1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/qt-4.7.0-0.30.rc1.fc14
Comment 3 Fedora Update System 2010-09-13 14:12:24 EDT
qt-4.7.0-0.31.rc1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/qt-4.7.0-0.31.rc1.fc14
Comment 4 Fedora Update System 2010-09-23 08:58:55 EDT
qt-4.7.0-0.31.rc1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.